<script lang="tsx">
  import { defineComponent } from 'vue';
  const props = {
    render: { type: Function, required: true },
    row: { type: Object, required: true },
  };

  export default defineComponent({
    name: 'Render',
    props,
    setup(props) {
      return () => {
        const { render } = props;
        return render && render(props.row);
      };
    },
  });
</script>
